co.aikar.commands

## Class CommandConditions<I extends CommandIssuer,CEC extends CommandExecutionContext<CEC,I>,CC extends ConditionContext<I>>

- java.lang.Object
- - co.aikar.commands.CommandConditions<I,CEC,CC>

    public class CommandConditions<I extends CommandIssuer,CEC extends CommandExecutionContext<CEC,I>,CC extends ConditionContext<I>>
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `CommandConditions.Condition<I extends CommandIssuer>`
`static interface` `CommandConditions.ParameterCondition<P,CEC extends CommandExecutionContext,I extends CommandIssuer>`

### Method Summary

All Methods Instance Methods Concrete Methods
`<P> CommandConditions.ParameterCondition` `addCondition(Class<P> clazz, @NotNull String id, @NotNull CommandConditions.ParameterCondition<P,CEC,I> handler)`
`CommandConditions.Condition<I>` `addCondition(@NotNull String id, @NotNull CommandConditions.Condition<I> handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addCondition

    public CommandConditions.Condition<I> addCondition(@NotNull
                                                       @NotNull String id,
                                                       @NotNull
                                                       @NotNull CommandConditions.Condition<I> handler)

#### addCondition

    public <P> CommandConditions.ParameterCondition addCondition(Class<P> clazz,
                                                                 @NotNull
                                                                 @NotNull String id,
                                                                 @NotNull
                                                                 @NotNull CommandConditions.ParameterCondition<P,CEC,I> handler)